rte_security_ctx(3)

NAME
rte_security_ctx

SYNOPSIS

#include <rte_security_driver.h>

  Data Fields

void * device
const struct rte_security_ops * ops
uint32_t flags
uint16_t sess_cnt
uint16_t macsec_sc_cnt
uint16_t macsec_sa_cnt

Detailed Description

Security context for crypto/eth devices

Security instance for each driver to register security operations. The application can get the security context from the crypto/eth device id using the APIs rte_cryptodev_get_sec_ctx()/rte_eth_dev_get_sec_ctx() This structure is used to identify the device(crypto/eth) for which the security operations need to be performed.

Definition at line 48 of file rte_security_driver.h.

Field Documentation

  void* device
Crypto/ethernet device attached

Definition at line 49 of file rte_security_driver.h.

  const struct rte_security_ops* ops
Pointer to security ops for the device

Definition at line 51 of file rte_security_driver.h.

  uint32_t flags
Flags for security context

Definition at line 53 of file rte_security_driver.h.

  uint16_t sess_cnt
Number of sessions attached to this context

Definition at line 55 of file rte_security_driver.h.

  uint16_t macsec_sc_cnt
Number of MACsec SC attached to this context

Definition at line 57 of file rte_security_driver.h.

  uint16_t macsec_sa_cnt
Number of MACsec SA attached to this context

Definition at line 59 of file rte_security_driver.h.

Author

Generated automatically by Doxygen for DPDK from the source code.